function::ubacktrace
Prev | Chapter 2. Context Functions | Next

## Name

function::ubacktrace — Hex backtrace of current user-space task stack.

## Synopsis

        ubacktrace:string()

## Arguments

None

## Description

Return a string of hex addresses that are a backtrace of the stack of the current task. Output may be truncated as per maximum string length. Returns empty string when current probe point cannot determine user backtrace. See `backtrace` for kernel traceback.

## Note

To get (full) backtraces for user space applications and shared shared libraries not mentioned in the current script run stap with -d /path/to/exe-or-so and/or add --ldd to load all needed unwind data.

Prev | Up | Next
function::uaddr | Home | function::ucallers